unit LobbyServerForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, UpdateChecker,
  Constants, LobbyServer;

type
  TFrmLobbyServer = class(TForm)
    BtnStart: TButton;
    GrpSettings: TGroupBox;
    lblMotd: TLabel;
    txtMotd: TEdit;
    txtPort: TEdit;
    Label1: TLabel;
    lblPort: TLabel;
    procedure BtnStartClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    Lobby: TLobbyServer;  //Riferimento all'oggetto TLobbyServer
  end;

var
  FrmLobbyServer: TFrmLobbyServer;

implementation

{$R *.dfm}

procedure TFrmLobbyServer.BtnStartClick(Sender: TObject);
var
  UpdateChecker: TUpdateChecker;
begin
  { Qualsiasi cosa tu faccia, controlliamo per gli aggiornamenti... }
  UpdateChecker := TUpdateChecker.Create(self,false);

  { Avviamo o fermiamo? }
  if BtnStart.Caption = '&Avvia' then begin
    Lobby := TLobbyServer.Create(self,StrToInt(txtPort.Text),txtMotd.Text);
    BtnStart.Caption := '&Ferma';
  end
  else begin
    { Se dobbiamo fermare il server, distruggiamolo! (lol) }
    Lobby.Destroy;
    BtnStart.Caption := '&Avvia';
  end;
end;

procedure TFrmLobbyServer.FormCreate(Sender: TObject);
begin
  self.Caption := self.Caption + ' ' + LOBBYVERSION;
  self.txtPort.Text := IntToStr(LOBBYPORT);
end;

{ Se viene chiuso, distruggi l'applicazione intera }
procedure TFrmLobbyServer.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Application.Terminate;
end;

end.
