unit WindowsUtils;

interface

uses Windows,
  Constants;

function IsWindowsNTBased: boolean;
function GetLoginName: string;

implementation

{ Spunto preso dal sito http://www.delphicorner.f9.co.uk/articles/wapi3.htm
Un sentito grazie all'autore }
function IsWindowsNTBased: boolean;
var
  verInfo: TOSVERSIONINFO;
  I: Word;
begin
  verInfo.dwOSVersionInfoSize := SizeOf(TOSVersionInfo);
  if GetVersionEx(verInfo) then begin
    if verInfo.dwPlatformId = VER_PLATFORM_WIN32_NT then Result := true
    else Result := false;
  end;
end;

{ Funzione per ricevere il nome dell'utente corrente... }
function GetLoginName: string;
var
  Buffer: array[0..255] of char;
  Size: dword;
begin
  Size := 256;
  if GetUserName(Buffer, Size) then Result := Buffer
  else Result := 'User';
end;



end.
