unit NewGame;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Constants, jpeg, ExtCtrls;

type
  TFrmNewGame = class(TForm)
    PanelHost: TPanel;
    ImgHost: TImage;
    PanelJoin: TPanel;
    ImgJoin: TImage;
    PanelLobby: TPanel;
    ImgLobby: TImage;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure ImgHostMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ImgJoinMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ImgLobbyMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ImgHostClick(Sender: TObject);
    procedure ImgJoinClick(Sender: TObject);
    procedure ImgLobbyClick(Sender: TObject);
  private
    { Private declarations }
  public
    Choice: TGameChoice;
  end;

var
  FrmNewGame: TFrmNewGame;

Const BGCOLOR = clWhite;
Const SELCOLOR = clSilver;

implementation

{$R *.dfm}

procedure TFrmNewGame.ImgHostMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  PanelHost.Color := SELCOLOR;
  PanelJoin.Color := BGCOLOR;
  PanelLobby.Color := BGCOLOR;
end;
procedure TFrmNewGame.ImgJoinMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  PanelHost.Color := BGCOLOR;
  PanelJoin.Color := SELCOLOR;
  PanelLobby.Color := BGCOLOR;
end;
procedure TFrmNewGame.ImgLobbyMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  PanelHost.Color := BGCOLOR;
  PanelJoin.Color := BGCOLOR;
  PanelLobby.Color := SELCOLOR;
end;


procedure TFrmNewGame.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  PanelHost.Color := BGCOLOR;
  PanelJoin.Color := BGCOLOR;
  PanelLobby.Color := BGCOLOR;
end;

procedure TFrmNewGame.ImgHostClick(Sender: TObject);
begin
  self.Choice := gcHost;
  self.ModalResult := mrOK;
end;

procedure TFrmNewGame.ImgJoinClick(Sender: TObject);
begin
  self.Choice := gcJoin;
  self.ModalResult := mrOK;
end;

procedure TFrmNewGame.ImgLobbyClick(Sender: TObject);
begin
  self.Choice := gcConnectLobby;
  self.ModalResult := mrOK;
end;

end.
